# studio::Dialog_Color Class Reference

`#include <dialog_color.h>`

List of all members.

## Public Member Functions

| Dialog_Color ()
| ~Dialog_Color ()
sigc::signal< void, synfig::Color > & | signal_edited ()
void | set_color (const synfig::Color &x)
synfig::Color | get_color () const
void | reset ()
bool | busy () const

## Constructor & Destructor Documentation

Dialog_Color::Dialog_Color | ( |  | ) |

References _, and studio::App::ui_manager().

Dialog_Color::~Dialog_Color | ( |  | ) |

## Member Function Documentation

sigc::signal<void,synfig::Color>& studio::Dialog_Color::signal_edited | ( |  | ) | `[inline]`

void studio::Dialog_Color::set_color | ( | const synfig::Color & | x | ) | `[inline]`

References studio::Widget_ColorEdit::set_value().

synfig::Color studio::Dialog_Color::get_color | ( |  | ) | const`[inline]`

References studio::Widget_ColorEdit::get_value().

void Dialog_Color::reset | ( |  | ) |

bool studio::Dialog_Color::busy | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following files:

- dialog_color.h
- dialog_color.cpp